curl --request GET \
--url https://app.sphinxhq.com/api/cases/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/cases/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/cases/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/cases/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/cases/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/cases/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/cases/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"external_id": "<string>",
"origin_url": "<string>",
"customer": {
"id": 123,
"full_name": "<string>",
"external_id": "<string>",
"customer_type": "INDIVIDUAL"
},
"note": "<string>",
"risk_score": 123,
"outcome": "ACCEPTED",
"is_started": true,
"is_complete": true,
"failed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"checks": [
{
"id": 123,
"risk_score": 123,
"title": "<string>",
"note": "<string>",
"reasoning": [
"<string>"
],
"outcome": "ACCEPTED",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"input_details": {},
"check_type": "UBO_RESOLUTION",
"delete_after": -1
}
],
"rfi": {
"body": "<string>",
"title": "<string>",
"details": {}
},
"webhook_url": "<string>",
"delete_after": -1,
"metadata": {},
"sync_platforms": {}
}Get Case
Retrieve a specific case by ID
curl --request GET \
--url https://app.sphinxhq.com/api/cases/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/cases/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/cases/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/cases/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/cases/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/cases/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/cases/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"external_id": "<string>",
"origin_url": "<string>",
"customer": {
"id": 123,
"full_name": "<string>",
"external_id": "<string>",
"customer_type": "INDIVIDUAL"
},
"note": "<string>",
"risk_score": 123,
"outcome": "ACCEPTED",
"is_started": true,
"is_complete": true,
"failed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"checks": [
{
"id": 123,
"risk_score": 123,
"title": "<string>",
"note": "<string>",
"reasoning": [
"<string>"
],
"outcome": "ACCEPTED",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"input_details": {},
"check_type": "UBO_RESOLUTION",
"delete_after": -1
}
],
"rfi": {
"body": "<string>",
"title": "<string>",
"details": {}
},
"webhook_url": "<string>",
"delete_after": -1,
"metadata": {},
"sync_platforms": {}
}Authorizations
OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.
Path Parameters
A unique integer value identifying this generic case.
Response
Read-only serializer for GenericCase with related objects.
External ID for the case. Auto-generated UUID if not provided. Stable across reruns.
Deprecated alias for external_id.
Nested customer serializer for GenericCase responses.
Show child attributes
Show child attributes
Risk score (max of check risk scores for the case).
ACCEPTED- AcceptedREJECTED- RejectedPENDING- Pending
ACCEPTED, REJECTED, PENDING, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Webhook sent on case completion.
511Days until deletion. -1 means never delete.
-2147483648 <= x <= 2147483647Case-specific metadata in JSON format.
External platform references for outbound sync. List of dicts, e.g. [{"domain": "bofi--dev.sandbox.my.salesforce.com", "id": "500WA..."}]
Was this page helpful?

